Subject: bug#63245: Potential regression: cp --preserve=mode or --preserve=all fails to copy files from subdirectory

From: Pádraig Brady <[email-masked]>
Date: Fri, 5 May 2023 09:45:30 +0100

On 05/05/2023 02:39, Sam James wrote:
> 
> Pádraig Brady <[email-masked]> writes:
> 
>> On 04/05/2023 12:27, Pádraig Brady wrote:
>>> On 04/05/2023 07:27, Schlomo Schapiro wrote:
>>>> Hi Pádraig,
>>>>
>>>> thank you, that will not yet fix the problem in the older distros? What
>>>> about the RPM world with Fedora/RHEL and Archlinux? As far as I can tell
>>>> all cp version 9.x are affected by this.
>>> I'll handle the Fedora 37/38 fixes.
>>> RHEL/Centos and current Archlinux are not affected AFAICS.
>>
>> Fedora 37 and 38 updates are now pending (cc Kamil):
>> https://bodhi.fedoraproject.org/updates/FEDORA-2023-65365355b3
>> https://bodhi.fedoraproject.org/updates/FEDORA-2023-4beb422aac
>>
>> The Fedora patches should also apply to the debian bookworm package,
>> so I've opened bugs accordingly at:
>>
>> https://bugs.debian.org/1035530
>> https://bugs.debian.org/1035531
>>
>> Schlomo, the second one is the one you're particularly interested in.
> 
> This is relevant to coreutils-9.3, right? 

Right. Specifically only this bug applies to 9.3. I.e.:
https://github.com/coreutils/coreutils/commit/c6b1fe434

> In that case, the only way
> I found out Gentoo was affected was by reading bug-coreutils by chance.
> 
> It's not feasible for all package maintainers to read all bug trackers
> regularly for all software in their distributions.
> 
> If it's worth filing bug reports in each distro for, it's either worth
> a new release
Right. I didn't inform distros that generally go with the latest coreutils
(including Fedora rawhide), as I was planning to do a 9.4 release soonish
to address this (and other bugs), and so it would get picked up automatically.

 > or at least an email to the [email-masked] mailing list.

TIL

thanks!
Pádraig